libsigc++ 2.0: sigc::internal::lambda_core< T_type, true > Struct Template Reference

Main Page Groups Namespaces

# sigc::internal::lambda_core<T_type, true> Struct Template Reference

Abstracts lambda functionality (template specialization for lambda values). More...

Inheritance diagram for sigc::internal::lambda_core< T_type, true >:

[legend]

List of all members.

## Public Types
typedef T_type::result_type | result_type
typedef T_type | lambda_type
## Public Member Functions
result_type | operator() () const
template<class T_arg1>
deduce_result_type <T_arg1>::type | operator() (T_arg1 _A_1) const
template<class T_arg1>
deduce_result_type <T_arg1>::type | sun_forte_workaround (T_arg1 _A_1) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
| lambda_core ()
| lambda_core (const T_type& v)
## Public Attributes
T_type | value_
## Classes
struct | deduce_result_type

## Detailed Description

### template <class T_type>
struct sigc::internal::lambda_core< T_type, true >

Abstracts lambda functionality (template specialization for lambda values).

## Member Typedef Documentation

template <class T_type>

typedef T_type::result_type sigc::internal::lambda_core<T_type, true>::result_type

template <class T_type>

typedef T_type sigc::internal::lambda_core<T_type, true>::lambda_type

## Constructor & Destructor Documentation

template <class T_type>

sigc::internal::lambda_core<T_type, true>::lambda_core | ( |  | ) | `[inline]`

template <class T_type>

sigc::internal::lambda_core<T_type, true>::lambda_core | ( | const T_type & | v | ) | `[inline, explicit]`

## Member Function Documentation

template <class T_type>

lambda_core<T_type, true>::result_type sigc::internal::lambda_core<T_type, true>::operator() | ( |  | ) | const`[inline]`

template <class T_type>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_type>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::internal::lambda_core<T_type, true>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::internal::lambda_core<T_type, true>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

## Member Data Documentation

template <class T_type>

T_type sigc::internal::lambda_core<T_type, true>::value_

The documentation for this struct was generated from the following file:

- base.h